Index: TVLibrary/TVLibrary/Implementations/DVB/ConditionalAccess/ConditionalAccess.cs
===================================================================
--- TVLibrary/TVLibrary/Implementations/DVB/ConditionalAccess/ConditionalAccess.cs	(revision 27600)
+++ TVLibrary/TVLibrary/Implementations/DVB/ConditionalAccess/ConditionalAccess.cs	(working copy)
@@ -627,7 +627,9 @@
       {
         if (!_useCam)
           return true;
-        if (channel.FreeToAir)
+        // RJ
+        // if (channel.FreeToAir)
+        if (channel.FreeToAir && _technoTrend == null)
           return true; //no need to descramble this one...
 
         AddSubChannel(subChannel, channel);
Index: TVLibrary/TVLibrary/Implementations/DVB/ConditionalAccess/TechnoTrend/TechnoTrendAPI.cs
===================================================================
--- TVLibrary/TVLibrary/Implementations/DVB/ConditionalAccess/TechnoTrend/TechnoTrendAPI.cs	(revision 27600)
+++ TVLibrary/TVLibrary/Implementations/DVB/ConditionalAccess/TechnoTrend/TechnoTrendAPI.cs	(working copy)
@@ -638,7 +638,8 @@
     private uint m_deviceID;
     private IntPtr m_hBdaApi;
     private byte m_slot;
-    private bool m_verboseLogging = false;
+    //private bool m_verboseLogging = false;
+    private bool m_verboseLogging = true;
     private bool m_ciSlotAvailable = false;
     private int m_ciStatus; // set to -1 when no ca resource
     private int m_caErrorCount; // number of failures to setProgramm
@@ -775,6 +776,9 @@
     /// </summary>
     private void GetCISlotStatus()
     {
+      //RJ
+      if (m_verboseLogging) Log.Log.Debug("TechnoTrend: GetCISlotStatus called");
+      
       TTApiResult result = bdaapiCIGetSlotStatus(m_hBdaApi, m_slot);
       if (result != TTApiResult.Success)
       {
@@ -870,7 +874,13 @@
     /// </returns>
     public bool IsCamReady()
     {
+      //RJ
+      if (m_verboseLogging) Log.Log.Debug("TechnoTrend: IsCamReady called");
       bool yesNo = false;
+
+      //RJ reset CI
+      //ResetCI();
+
       if (m_ciSlotAvailable && (m_slotStatus == TTCiSlotStatus.SlotCaOk || m_slotStatus == TTCiSlotStatus.SlotModuleOk))
       {
         yesNo = true;
@@ -887,6 +897,9 @@
     /// </returns>
     public bool IsCamPresent()
     {
+      //RJ
+      if (m_verboseLogging) Log.Log.Debug("TechnoTrend: IsCamPresent called");
+
       bool yesNo = true;
       if (m_ciSlotAvailable == false || m_slotStatus == TTCiSlotStatus.SlotEmpty ||
           m_slotStatus == TTCiSlotStatus.SlotUnknownState)
@@ -997,7 +1010,9 @@
           }
           else
           {
-            succeeded = false;
+            //RJ
+            //succeeded = false;
+            succeeded = true;
             Log.Log.Debug("TechnoTrend: services not decoded:{0} ciStatus: {1}", result, m_ciStatus);
           }
         }
Index: TVLibrary/TVLibrary/Implementations/DVB/Graphs/TvDvbChannel.cs
===================================================================
--- TVLibrary/TVLibrary/Implementations/DVB/Graphs/TvDvbChannel.cs	(revision 27600)
+++ TVLibrary/TVLibrary/Implementations/DVB/Graphs/TvDvbChannel.cs	(working copy)
@@ -1204,7 +1204,8 @@
               if (channel.FreeToAir)
               {
                 Log.Log.Info("subch:{0} SendPMT: Channel is FTA, nothing to do.", _subChannelId);
-                return true;
+                //RJ
+                //return true;
               }
               Log.Log.WriteFile("subch:{0} SendPMT version:{1} len:{2} {3}", _subChannelId, version, _pmtLength,
                                 _channelInfo.caPMT.ProgramNumber);
